{ pkgs, ... }:
{
  services.espanso = {
    enable = true;
    package = pkgs.espanso-wayland;
    matches = {
      base = {
        matches = [
          {
            trigger = ":neg";
            replace = "¬";
          }
          {
            trigger = ":conj";
            replace = "∧";
          }
          {
            trigger = ":disj";
            replace = "∨";
          }
          {
            trigger = ":imp";
            replace = "→";
          }
          {
            trigger = ":bicon";
            replace = "↔";
          }
          {
            trigger = ":forall";
            replace = "∀";
          }
          {
            trigger = ":exist";
            replace = "∃";
          }
        ];
      };
      global_vars = {
        global_vars = [
          {
            name = "currentdate";
            type = "date";
            params = {
              format = "%d/%m/%Y";
            };
          }
          {
            name = "currenttime";
            type = "date";
            params = {
              format = "%R";
            };
          }
        ];
      };
    };
  };
}
